<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Class Members (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions.html#index_a"><span>a</span></a></li>
      <li><a href="functions_0x62.html#index_b"><span>b</span></a></li>
      <li><a href="functions_0x63.html#index_c"><span>c</span></a></li>
      <li><a href="functions_0x64.html#index_d"><span>d</span></a></li>
      <li><a href="functions_0x65.html#index_e"><span>e</span></a></li>
      <li><a href="functions_0x66.html#index_f"><span>f</span></a></li>
      <li><a href="functions_0x67.html#index_g"><span>g</span></a></li>
      <li><a href="functions_0x68.html#index_h"><span>h</span></a></li>
      <li><a href="functions_0x69.html#index_i"><span>i</span></a></li>
      <li><a href="functions_0x6a.html#index_j"><span>j</span></a></li>
      <li><a href="functions_0x6b.html#index_k"><span>k</span></a></li>
      <li><a href="functions_0x6c.html#index_l"><span>l</span></a></li>
      <li><a href="functions_0x6d.html#index_m"><span>m</span></a></li>
      <li><a href="functions_0x6e.html#index_n"><span>n</span></a></li>
      <li><a href="functions_0x6f.html#index_o"><span>o</span></a></li>
      <li><a href="functions_0x70.html#index_p"><span>p</span></a></li>
      <li><a href="functions_0x71.html#index_q"><span>q</span></a></li>
      <li class="current"><a href="functions_0x72.html#index_r"><span>r</span></a></li>
      <li><a href="functions_0x73.html#index_s"><span>s</span></a></li>
      <li><a href="functions_0x74.html#index_t"><span>t</span></a></li>
      <li><a href="functions_0x75.html#index_u"><span>u</span></a></li>
      <li><a href="functions_0x76.html#index_v"><span>v</span></a></li>
      <li><a href="functions_0x77.html#index_w"><span>w</span></a></li>
      <li><a href="functions_0x7e.html#index_0x7e"><span>~</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<div class="textblock">Here is a list of all documented class members with links to the class documentation for each member:</div>

<h3><a class="anchor" id="index_r"></a>- r -</h3><ul>
<li>RandomBinomial()
: <a class="el" href="structiPcSteer.html#a5a475bad4b23a3bf8afdbbbdde1b7312">iPcSteer</a>
</li>
<li>RandomPath()
: <a class="el" href="structiCelGraph.html#a1c819adc5cfe24ff1cc1deeeb1d31c6f">iCelGraph</a>
</li>
<li>ReceiveMessage()
: <a class="el" href="structiMessageReceiver.html#a9cbdd91c224c138a044491eb36148d8a">iMessageReceiver</a>
</li>
<li>Register()
: <a class="el" href="structiNumReg.html#a7bae6564611f85cd8cf64c2117f7b501">iNumReg</a>
</li>
<li>RegisterBehaviourLayer()
: <a class="el" href="structiCelPlLayer.html#ab2368f760d8b2df56a1f264510cb2e3a">iCelPlLayer</a>
</li>
<li>RegisterCallback()
: <a class="el" href="structiTrigger.html#aa92450fec431d0fee6c8a4c56c0b8b3c">iTrigger</a>
</li>
<li>RegisterClientManager()
: <a class="el" href="structiCelGameClient.html#ac711d59e3017062fe6524664eb608290">iCelGameClient</a>
</li>
<li>RegisterCommand()
: <a class="el" href="structiCelConsole.html#a376158bb4a1c55fddeaae72ed34ec774">iCelConsole</a>
</li>
<li>RegisterGameFactoryManager()
: <a class="el" href="structiCelGameFactory.html#acaf75baa0e49d7db41856abb3f3929db">iCelGameFactory</a>
</li>
<li>RegisterPropertyClassFactory()
: <a class="el" href="structiCelPlLayer.html#a1aee5e1d9af0c093af87add16968c48d">iCelPlLayer</a>
</li>
<li>RegisterRewardType()
: <a class="el" href="structiQuestManager.html#af47216e2d7b12ea3380472870bbe5644">iQuestManager</a>
</li>
<li>RegisterSeqOpType()
: <a class="el" href="structiQuestManager.html#a2431f1de00a37b51a4e4c1c68240b8e5">iQuestManager</a>
</li>
<li>RegisterServerManager()
: <a class="el" href="structiCelGameServer.html#a6cb6d3fd0f3820db6a4c84008f1684f5">iCelGameServer</a>
</li>
<li>RegisterTriggerType()
: <a class="el" href="structiQuestManager.html#a7cf827acee4d312a8742e19f111075f8">iQuestManager</a>
</li>
<li>RegisterWithID()
: <a class="el" href="structiNumReg.html#a2a6bb44a69c6ea49a4d9a0139791782d">iNumReg</a>
</li>
<li>reliable
: <a class="el" href="classcelServerEventData.html#a46ae665e0029280f6bcf27fdb18acebe">celServerEventData</a>
, <a class="el" href="classcelClientEventData.html#a02e072cc175bd325a9136e217af1a9ac">celClientEventData</a>
</li>
<li>Remove()
: <a class="el" href="structiCelEntityList.html#a7dd28375d0ac14ef97379cef59682f3a">iCelEntityList</a>
, <a class="el" href="structiNumReg.html#a97ac47fa228d0b651c383c810520db71">iNumReg</a>
, <a class="el" href="structiCelPropertyClassList.html#a6e22940602f49e5aa21801fa1c480b24">iCelPropertyClassList</a>
</li>
<li>RemoveAll()
: <a class="el" href="structiCelEntityList.html#ae3e574a5ca64d32b4be5ec66a05e831e">iCelEntityList</a>
, <a class="el" href="structiCelPropertyClassList.html#ae1fc8b24f5c91e2a51a8fb6ac57eb7b5">iCelPropertyClassList</a>
, <a class="el" href="structiCelInventorySpaceSlot.html#aab4fb6fe7ec8da9c38fda1504f93afb3">iCelInventorySpaceSlot</a>
, <a class="el" href="structiPcInventory.html#a61935394ff6fdcf3318563085d470a44">iPcInventory</a>
, <a class="el" href="structiBillboardManager.html#af53361e66200934f767be514d2b2e1f9">iBillboardManager</a>
</li>
<li>RemoveAllBinds()
: <a class="el" href="structiPcCommandInput.html#aeac12bb61088c945c3da288a8b6b77b8">iPcCommandInput</a>
</li>
<li>RemoveAllConstraints()
: <a class="el" href="structiPcInventory.html#a6a672a6f3e9e54fccbff4cc9ccbb483b">iPcInventory</a>
, <a class="el" href="structiPcMovable.html#ab4833e9015462536c3c28570c7492bf5">iPcMovable</a>
</li>
<li>RemoveAllMapFiles()
: <a class="el" href="structiCelRegion.html#a41ca1239b1552fdd960ee0408920da5d">iCelRegion</a>
</li>
<li>RemoveAllRegions()
: <a class="el" href="structiPcZoneManager.html#a1d52507de3b78b0d1332bbb06bd8a7f2">iPcZoneManager</a>
</li>
<li>RemoveAllZones()
: <a class="el" href="structiPcZoneManager.html#a973b3fbc9c3a9c09e3ed26d7d5539847">iPcZoneManager</a>
</li>
<li>RemoveBalancedGroup()
: <a class="el" href="structiPcMechanicsThrusterController.html#a099fe211a5726718275be0e89d11e567">iPcMechanicsThrusterController</a>
</li>
<li>RemoveBillboard()
: <a class="el" href="structiBillboardManager.html#a5c0f10930830cf3c9fa01039b55c0273">iBillboardManager</a>
</li>
<li>RemoveBillboardLayer()
: <a class="el" href="structiBillboardManager.html#af2cc8640c7c3dbcae4e19e401a7cb14a">iBillboardManager</a>
</li>
<li>RemoveBind()
: <a class="el" href="structiPcCommandInput.html#a8a7b076a802ce4f4d4c62723f67a3a00">iPcCommandInput</a>
</li>
<li>RemoveBody()
: <a class="el" href="structiPcMechanicsSystem.html#a227506631a4037a021da79c954317544">iPcMechanicsSystem</a>
</li>
<li>RemoveBodyFromGroup()
: <a class="el" href="structiPcMechanicsSystem.html#adc134ad0279deaeee795cba8e4c0a9ed">iPcMechanicsSystem</a>
</li>
<li>RemoveByInterface()
: <a class="el" href="structiCelPropertyClassList.html#a04b51b7526f507f635f1dabfff28331f">iCelPropertyClassList</a>
</li>
<li>RemoveByInterfaceAndTag()
: <a class="el" href="structiCelPropertyClassList.html#a615bd044dbfaf5c3198daac7a1c91693">iCelPropertyClassList</a>
</li>
<li>RemoveCallbackEveryFrame()
: <a class="el" href="structiCelPlLayer.html#ac98955f35fbf2cebc19649b531782f8b">iCelPlLayer</a>
</li>
<li>RemoveCallbackOnce()
: <a class="el" href="structiCelPlLayer.html#ab5d2563a790e49a0221bea631a7447cd">iCelPlLayer</a>
</li>
<li>RemoveChannel()
: <a class="el" href="structiCelGameServer.html#a45b7b85b7722f300a32a8e4c7f356bf6">iCelGameServer</a>
</li>
<li>RemoveChild()
: <a class="el" href="structiPcInventoryListener.html#afa6769d35c00cb0bc876db62e922a7d5">iPcInventoryListener</a>
</li>
<li>RemoveClass()
: <a class="el" href="structiCelEntity.html#a3e47e6aa1ac207052a9f91c19f80622c">iCelEntity</a>
, <a class="el" href="structiCelEntityTemplate.html#aff21f1484e1dcb3db093423d0e03588f">iCelEntityTemplate</a>
</li>
<li>RemoveConstraint()
: <a class="el" href="structiPcMovable.html#acbe3b6d22eb78e57425b7737389c4173">iPcMovable</a>
</li>
<li>RemoveConstraints()
: <a class="el" href="structiPcInventory.html#a0bd4364372136439a6948047ae3783fa">iPcInventory</a>
</li>
<li>RemoveEdge()
: <a class="el" href="structiCelNode.html#a4be988f20eef89b5550f499bf9ebcd59">iCelNode</a>
, <a class="el" href="structiCelGraph.html#a84f933d4741112661cb1697f816677c1">iCelGraph</a>
</li>
<li>RemoveEntities()
: <a class="el" href="structiCelPlLayer.html#aa41dcf525d3c1de01c33fea1080d1bb4">iCelPlLayer</a>
, <a class="el" href="structiCelEntityTracker.html#aefd8b3a6fb756c425563129aa2ddd7d7">iCelEntityTracker</a>
</li>
<li>RemoveEntity()
: <a class="el" href="structiPcInventory.html#afd0f0f4d6b3758e6442b4035b776a1b3">iPcInventory</a>
, <a class="el" href="structiCelInventorySpaceSlot.html#ae9e3f15deb74e78e4df6aa8f5a8c354a">iCelInventorySpaceSlot</a>
, <a class="el" href="structiCelEntityRemoveCallback.html#a006a6e0b3ea73c17b0b7bfab25e72107">iCelEntityRemoveCallback</a>
, <a class="el" href="structiCelPlLayer.html#a8294af81e87ebf375501d9f1137a02f3">iCelPlLayer</a>
, <a class="el" href="structiCelEntityTracker.html#a0f51d45ac64fb7059f74952a30f1c636">iCelEntityTracker</a>
, <a class="el" href="structiCelInventorySpace.html#a29e480866d3de2ab4803ab4f3c4dcf61">iCelInventorySpace</a>
, <a class="el" href="structiPcInventory.html#afda56d9d67a36c0404a60b11a2d0635b">iPcInventory</a>
</li>
<li>RemoveEntityRemoveCallback()
: <a class="el" href="structiCelPlLayer.html#a834791980921e9d062be29509b745ee4">iCelPlLayer</a>
</li>
<li>RemoveEntityTemplate()
: <a class="el" href="structiCelPlLayer.html#a03a3900a86fb01a889e88518efa7c3d5">iCelPlLayer</a>
</li>
<li>RemoveEntityTemplates()
: <a class="el" href="structiCelPlLayer.html#acebd3b3701d01c0f3e3c7a8fbfb3711d">iCelPlLayer</a>
</li>
<li>RemoveEntityTracker()
: <a class="el" href="structiCelPlLayer.html#a1948170e0e685980e8d018faf7ddaa9d">iCelPlLayer</a>
</li>
<li>RemoveEventHandler()
: <a class="el" href="structiBillboard.html#a474315b2ba38f2124ac6a9942577a7c3">iBillboard</a>
</li>
<li>RemoveForceTagged()
: <a class="el" href="structiPcMechanicsSystem.html#a02269b5ef7612e4696b2670f87cec808">iPcMechanicsSystem</a>
, <a class="el" href="structiPcMechanicsObject.html#a3664c1104a818b889eea2c343c868a8c">iPcMechanicsObject</a>
</li>
<li>RemoveFromGroup()
: <a class="el" href="structiPcMechanicsObject.html#a731d9dd3a3e1c64104583444feed417e">iPcMechanicsObject</a>
</li>
<li>RemoveFromInventory()
: <a class="el" href="structiPcCharacteristics.html#ad745ee9eac4b591f28dac7c94766a70b">iPcCharacteristics</a>
</li>
<li>RemoveGravityCallback()
: <a class="el" href="structiPcLinearMovement.html#abc5860587b113c8cb3dabf50e25f20f8">iPcLinearMovement</a>
</li>
<li>RemoveInventoryListener()
: <a class="el" href="structiPcInventory.html#ac7cb9b83546fdb3114da3abf85ed11b4">iPcInventory</a>
</li>
<li>RemoveJoint()
: <a class="el" href="structiPcMechanicsSystem.html#a7d89886a80aecd759309b39fb57f5d0b">iPcMechanicsSystem</a>
</li>
<li>RemoveMapFile()
: <a class="el" href="structiCelRegion.html#a3b535f0ffd8f77ce428c8a05ae1fc5b5">iCelRegion</a>
</li>
<li>RemoveMeshSelectListener()
: <a class="el" href="structiPcMeshSelect.html#a506b74d5aa4840565b87250e0950b3bd">iPcMeshSelect</a>
</li>
<li>RemoveMessageDispatcher()
: <a class="el" href="structiMessageChannel.html#a5679fd82dd52d60223e1680331f0cab6">iMessageChannel</a>
</li>
<li>RemoveNetworkLink()
: <a class="el" href="structiCelGameServer.html#ae44a50920a02a43fc35ebaa31d9dfed7">iCelGameServer</a>
</li>
<li>RemoveNewEntityCallback()
: <a class="el" href="structiCelPlLayer.html#ac2c9f29ced32388b512f985bcf96f272">iCelPlLayer</a>
</li>
<li>RemoveNode()
: <a class="el" href="structiCelGraph.html#a8c1dc1872e66ea8b57deef6697fa0851">iCelGraph</a>
</li>
<li>RemovePropertyChangeCallback()
: <a class="el" href="structiCelPropertyClass.html#abfe26c6414dca745816cd65b40df94a7">iCelPropertyClass</a>
</li>
<li>RemovePropertyListener()
: <a class="el" href="structiPcProperties.html#abd4d2cb005683879f1024463b137c0e6">iPcProperties</a>
</li>
<li>RemoveQuestFactories()
: <a class="el" href="structiQuestManager.html#a793672a32b468fdd81d9581d7e139d20">iQuestManager</a>
</li>
<li>RemoveQuestFactory()
: <a class="el" href="structiQuestManager.html#ab7c9f7fcdc6ae6134e18b65196c1bcfa">iQuestManager</a>
</li>
<li>RemoveRegion()
: <a class="el" href="structiPcZoneManager.html#a732aeeded953d977c9b0e0e96c8e701a">iPcZoneManager</a>
</li>
<li>RemoveSequenceCallback()
: <a class="el" href="structiCelSequence.html#af73a002a200c8d4c755b73ea09af21f2">iCelSequence</a>
</li>
<li>RemoveString()
: <a class="el" href="structiPcBag.html#acfb08d9db07efe77cfc42d717e35e581">iPcBag</a>
</li>
<li>RemoveThruster()
: <a class="el" href="structiPcMechanicsBalancedGroup.html#a7883a19325035c5aece3e1b03f12ff7c">iPcMechanicsBalancedGroup</a>
</li>
<li>RemoveTriggerListener()
: <a class="el" href="structiPcTrigger.html#a39e6b01129b753fa96f620e116508e12">iPcTrigger</a>
</li>
<li>RemoveZone()
: <a class="el" href="structiPcZoneManager.html#a402627052fbb1de675e74218ba1fb0e8">iPcZoneManager</a>
</li>
<li>RequestPlugins()
: <a class="el" href="classcelInitializer.html#a1c86e5dc368e6f355fee04dd0425bd5e">celInitializer</a>
</li>
<li>RequestPluginsV()
: <a class="el" href="classcelInitializer.html#ad8174b83a167f0743f254dd4870d5765">celInitializer</a>
</li>
<li>Reset()
: <a class="el" href="structiCelDataBuffer.html#ac1071585c5549ef17aa0488b6ed82752">iCelDataBuffer</a>
, <a class="el" href="structiPcNewCamera.html#aabd701d15f17be60c7fb8442b8531800">iPcNewCamera</a>
</li>
<li>ResetCamera()
: <a class="el" href="structiPcmNewCamera_1_1Tracking.html#a53651bbbb06006986baa054bdae7b539">iPcmNewCamera::Tracking</a>
</li>
<li>ResetPopulation()
: <a class="el" href="structiPcEvolve.html#a7a19501d4d49ad74ca71910917a8465c">iPcEvolve</a>
</li>
<li>ResetSpeed()
: <a class="el" href="structiPcGravity.html#ab2b8869754da9122d3bb00460bd6b63a">iPcGravity</a>
</li>
<li>ResetTiming()
: <a class="el" href="structiPcSpawn.html#a762bb7143bb11f8adf31cd34908d02d9">iPcSpawn</a>
</li>
<li>ResolveParameter()
: <a class="el" href="structiParameterManager.html#a20362f81f86ca84648c18eebcb87f7bf">iParameterManager</a>
</li>
<li>Restart()
: <a class="el" href="structiCelNavMeshPath.html#ae69523b610507e27207f2742c3c1ad92">iCelNavMeshPath</a>
, <a class="el" href="structiCelPath.html#a153e5310f91a2e4d819c1b1ac4917118">iCelPath</a>
, <a class="el" href="structiCelHPath.html#a8bc98961ee7124f1b907f2200d4839a6">iCelHPath</a>
</li>
<li>Reward()
: <a class="el" href="structiReward.html#acee39ac7cf6ec89de6037e6ca355508b">iReward</a>
</li>
<li>RotateLeft()
: <a class="el" href="structiPcActorMove.html#ade7a1d650f59e99ee9763dc3782bfa5a">iPcActorMove</a>
</li>
<li>RotateRight()
: <a class="el" href="structiPcActorMove.html#ab0857d4f499c8ce352dafb9cc0d00f27">iPcActorMove</a>
</li>
<li>RotateTo()
: <a class="el" href="structiPcActorMove.html#aedc37f2d71ad0ce238686efd2cb3b054">iPcActorMove</a>
</li>
<li>Run()
: <a class="el" href="structiPcActorMove.html#a5333252175d6df94b8e5063e01c45be5">iPcActorMove</a>
</li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
